------------------------------------------------------------------
--                                                              --
--  File:  CREATE_DATABASE.SQL                                  --
--         Microsoft TPC-E Benchmark Kit Ver. 0.16              --
--         Copyright Microsoft, 2004, 2005, 2006                --
--                                                              --
------------------------------------------------------------------

USE master
GO

--  create main database files

CREATE DATABASE tpce
ON PRIMARY
(	NAME		= MSSQL_tpce_root,
	FILENAME	= "C:\MSSQL_tpce_root.mdf",
	SIZE		= 8MB,
	FILEGROWTH	= 0),
FILEGROUP	broker_fg
(	NAME		= Broker1,
	FILENAME	= "F:",
	SIZE		= 86156MB,
	FILEGROWTH	= 0),
(	NAME		= Broker2,
	FILENAME	= "G:",
	SIZE		= 86156MB,
	FILEGROWTH	= 0),
(	NAME		= Broker3,
	FILENAME	= "H:",
	SIZE		= 86156MB,
	FILEGROWTH	= 0),
(	NAME		= Broker4,
	FILENAME	= "I:",
	SIZE		= 86156MB,
	FILEGROWTH	= 0),
(	NAME		= Broker5,
	FILENAME	= "J:",
	SIZE		= 86156MB,
	FILEGROWTH	= 0),
(	NAME		= Broker6,
	FILENAME	= "K:",
	SIZE		= 86156MB,
	FILEGROWTH	= 0),
(	NAME		= Broker7,
	FILENAME	= "L:",
	SIZE		= 86156MB,
	FILEGROWTH	= 0),
(	NAME		= Broker8,
	FILENAME	= "M:",
	SIZE		= 86156MB,
	FILEGROWTH	= 0),
(	NAME		= Broker9,
	FILENAME	= "N:",
	SIZE		= 86156MB,
	FILEGROWTH	= 0),
(	NAME		= Broker10,
	FILENAME	= "O:",
	SIZE		= 86156MB,
	FILEGROWTH	= 0),
(	NAME		= Broker11,
	FILENAME	= "P:",
	SIZE		= 86156MB,
	FILEGROWTH	= 0),
(	NAME		= Broker12,
	FILENAME	= "Q:",
	SIZE		= 86156MB,
	FILEGROWTH	= 0),
(	NAME		= Broker13,
	FILENAME	= "R:",
	SIZE		= 86156MB,
	FILEGROWTH	= 0),
(	NAME		= Broker14,
	FILENAME	= "S:",
	SIZE		= 86156MB,
	FILEGROWTH	= 0),
(	NAME		= Broker15,
	FILENAME	= "T:",
	SIZE		= 86156MB,
	FILEGROWTH	= 0),
(	NAME		= Broker16,
	FILENAME	= "U:",
	SIZE		= 86156MB,
	FILEGROWTH	= 0),
FILEGROUP	market_fg
(	NAME		= Market1,
	FILENAME	= "C:\A\F\",
	SIZE		= 3255MB,
	FILEGROWTH	= 0),
(	NAME		= Market2,
	FILENAME	= "C:\A\G\",
	SIZE		= 3255MB,
	FILEGROWTH	= 0),
(	NAME		= Market3,
	FILENAME	= "C:\A\H\",
	SIZE		= 3255MB,
	FILEGROWTH	= 0),
(	NAME		= Market4,
	FILENAME	= "C:\A\I\",
	SIZE		= 3255MB,
	FILEGROWTH	= 0),
(	NAME		= Market5,
	FILENAME	= "C:\A\J\",
	SIZE		= 3255MB,
	FILEGROWTH	= 0),
(	NAME		= Market6,
	FILENAME	= "C:\A\K\",
	SIZE		= 3255MB,
	FILEGROWTH	= 0),
(	NAME		= Market7,
	FILENAME	= "C:\A\L\",
	SIZE		= 3255MB,
	FILEGROWTH	= 0),
(	NAME		= Market8,
	FILENAME	= "C:\A\M\",
	SIZE		= 3255MB,
	FILEGROWTH	= 0),
(	NAME		= Market9,
	FILENAME	= "C:\A\N\",
	SIZE		= 3255MB,
	FILEGROWTH	= 0),
(	NAME		= Market10,
	FILENAME	= "C:\A\O\",
	SIZE		= 3255MB,
	FILEGROWTH	= 0),
(	NAME		= Market11,
	FILENAME	= "C:\A\P\",
	SIZE		= 3255MB,
	FILEGROWTH	= 0),
(	NAME		= Market12,
	FILENAME	= "C:\A\Q\",
	SIZE		= 3255MB,
	FILEGROWTH	= 0),
(	NAME		= Market13,
	FILENAME	= "C:\A\R\",
	SIZE		= 3255MB,
	FILEGROWTH	= 0),
(	NAME		= Market14,
	FILENAME	= "C:\A\S\",
	SIZE		= 3255MB,
	FILEGROWTH	= 0),
(	NAME		= Market15,
	FILENAME	= "C:\A\T\",
	SIZE		= 3255MB,
	FILEGROWTH	= 0),
(	NAME		= Market16,
	FILENAME	= "C:\A\U\",
	SIZE		= 3255MB,
	FILEGROWTH	= 0),
FILEGROUP	customer_fg
(	NAME		= Customer1,
	FILENAME	= "C:\B\F\",
	SIZE		= 17248MB,
	FILEGROWTH	= 0),
(	NAME		= Customer2,
	FILENAME	= "C:\B\G\",
	SIZE		= 17248MB,
	FILEGROWTH	= 0),
(	NAME		= Customer3,
	FILENAME	= "C:\B\H\",
	SIZE		= 17248MB,
	FILEGROWTH	= 0),
(	NAME		= Customer4,
	FILENAME	= "C:\B\I\",
	SIZE		= 17248MB,
	FILEGROWTH	= 0),
(	NAME		= Customer5,
	FILENAME	= "C:\B\J\",
	SIZE		= 17248MB,
	FILEGROWTH	= 0),
(	NAME		= Customer6,
	FILENAME	= "C:\B\K\",
	SIZE		= 17248MB,
	FILEGROWTH	= 0),
(	NAME		= Customer7,
	FILENAME	= "C:\B\L\",
	SIZE		= 17248MB,
	FILEGROWTH	= 0),
(	NAME		= Customer8,
	FILENAME	= "C:\B\M\",
	SIZE		= 17248MB,
	FILEGROWTH	= 0),
(	NAME		= Customer9,
	FILENAME	= "C:\B\N\",
	SIZE		= 17248MB,
	FILEGROWTH	= 0),
(	NAME		= Customer10,
	FILENAME	= "C:\B\O\",
	SIZE		= 17248MB,
	FILEGROWTH	= 0),
(	NAME		= Customer11,
	FILENAME	= "C:\B\P\",
	SIZE		= 17248MB,
	FILEGROWTH	= 0),
(	NAME		= Customer12,
	FILENAME	= "C:\B\Q\",
	SIZE		= 17248MB,
	FILEGROWTH	= 0),
(	NAME		= Customer13,
	FILENAME	= "C:\B\R\",
	SIZE		= 17248MB,
	FILEGROWTH	= 0),
(	NAME		= Customer14,
	FILENAME	= "C:\B\S\",
	SIZE		= 17248MB,
	FILEGROWTH	= 0),
(	NAME		= Customer15,
	FILENAME	= "C:\B\T\",
	SIZE		= 17248MB,
	FILEGROWTH	= 0),
(	NAME		= Customer16,
	FILENAME	= "C:\B\U\",
	SIZE		= 17248MB,
	FILEGROWTH	= 0)
LOG ON
(	NAME		= MSSQL_tpce_log,
	FILENAME	= "E:",
	SIZE		= 129264MB,
	FILEGROWTH	= 0)
COLLATE Latin1_General_BIN
GO