------------------------------------------------------------------
--                                                              --
--  File:   Isolation1_S2.SQL                                   --
--          Microsoft TPC-E Benchmark Kit Ver. 1.2.0-1000       --
--          Copyright Microsoft, 2006, 2007                     --
--                                                              --
--  Implements TPC-E Isolation test #1                          --
--  P3 Test in Read-Write                                       --
--                                                              --
------------------------------------------------------------------
USE tpce
GO

BEGIN TRANSACTION

DECLARE @acct_id        IDENT_T,
        @symbol         varchar(15)

---------------------------------------------------------
--- *****************************************************
--- replace the account id and symbol below with 
--- those used in the Isolation1_S1 script.
--- *****************************************************
---------------------------------------------------------
SELECT  @acct_id    = 43000009994,
        @symbol     = 'ADI'
---------------------------------------------------------
--- *****************************************************    
--- *****************************************************
---------------------------------------------------------
------------------------------------------------
--- RUN TRADEORDER_ISO1
------------------------------------------------
EXEC    TradeOrder_Iso1_2   @acct_id,
                            @symbol
COMMIT
GO
